Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_ThreadpoolPolicy Class Reference

RTCORBA::ThreadpoolPolicy implementation. More...

`#include <RT_Policy_i.h>`

Inheritance diagram for TAO_ThreadpoolPolicy:

[legend]
Collaboration diagram for TAO_ThreadpoolPolicy:

[legend]
List of all members.

## Public Methods
| TAO_ThreadpoolPolicy (RTCORBA::ThreadpoolId id)
| Constructor. More...
| TAO_ThreadpoolPolicy (const TAO_ThreadpoolPolicy &rhs)
| Copy constructor. More...
RTCORBA::ThreadpoolId | threadpool (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
CORBA::PolicyType | policy_type (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
CORBA::Policy_ptr | copy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
void | destroy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
TAO_Cached_Policy_Type | _tao_cached_type (void) const
TAO_Policy_Scope | _tao_scope (void) const
## Static Public Methods
CORBA::Policy_ptr | create (const CORBA::Any &val ACE_ENV_ARG_DECL)
| Helper method for the implementation of CORBA::ORB::create_policy. More...
## Protected Methods
virtual | ~TAO_ThreadpoolPolicy (void)
| Protected destructor to enforce proper memory management of this reference counted object. More...
## Private Attributes
RTCORBA::ThreadpoolId | id_
| Attribute. More...

## Detailed Description

RTCORBA::ThreadpoolPolicy implementation.

This policy controls which threadpool is associated with a POA.

## Constructor & Destructor Documentation

TAO_ThreadpoolPolicy::TAO_ThreadpoolPolicy | ( | RTCORBA::ThreadpoolId | id | ) |

| Constructor.

TAO_ThreadpoolPolicy::TAO_ThreadpoolPolicy | ( | const TAO_ThreadpoolPolicy & | rhs | ) |

| Copy constructor.

TAO_ThreadpoolPolicy::~TAO_ThreadpoolPolicy | ( | void |  | ) | `[protected, virtual]`

| Protected destructor to enforce proper memory management of this reference counted object.

## Member Function Documentation

TAO_Cached_Policy_Type TAO_ThreadpoolPolicy::_tao_cached_type | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Policy.

TAO_Policy_Scope TAO_ThreadpoolPolicy::_tao_scope | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Policy.

CORBA::Policy_ptr TAO_ThreadpoolPolicy::copy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)

| Reimplemented from CORBA::Policy.

CORBA::Policy_ptr TAO_ThreadpoolPolicy::create | ( | const CORBA::Any &val | ACE_ENV_ARG_DECL | ) | `[static]`

| Helper method for the implementation of CORBA::ORB::create_policy.

void TAO_ThreadpoolPolicy::destroy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from CORBA::Policy.

CORBA::PolicyType TAO_ThreadpoolPolicy::policy_type | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from CORBA::Policy.

RTCORBA::ThreadpoolId TAO_ThreadpoolPolicy::threadpool | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from RTCORBA::ThreadpoolPolicy.

## Member Data Documentation

RTCORBA::ThreadpoolId TAO_ThreadpoolPolicy::id_`[private]`

| Attribute.

The documentation for this class was generated from the following files:

- RT_Policy_i.h
- RT_Policy_i.cpp